### Syncfusion Blazor Button Components

This package contains [Blazor Button](https://www.syncfusion.com/blazor-components/blazor-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Blazor CheckBox](https://www.syncfusion.com/blazor-components/blazor-checkbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Blazor Chips](https://www.syncfusion.com/blazor-components/blazor-chips?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Blazor Radio Button](https://www.syncfusion.com/blazor-components/blazor-radio-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Blazor Toggle Switch Button](https://www.syncfusion.com/blazor-components/blazor-toggle-switch-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Blazor Floating Action Button](https://www.syncfusion.com/blazor-components/blazor-fab?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) and [Blazor Speed Dial](https://www.syncfusion.com/blazor-components/blazor-speeddial?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) components for Blazor application.

### System Requirements

* [System Requirements](https://blazor.syncfusion.com/documentation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor Button

The [Blazor Button](https://www.syncfusion.com/blazor-components/blazor-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) is a custom HTML5 button control. It has several built-in features such as support for icons, predefined styles, different button types, different button sizes, and UI customization. Toggle and repeat button functionality can be achieved by handling a click event.

![Blazor Button](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-button.png)

#### Getting Started

* [Getting Started with Blazor Button](https://blazor.syncfusion.com/documentation/button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Button Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Button Component Documentation](https://blazor.syncfusion.com/documentation/button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Button Component Demos](https://blazor.syncfusion.com/demos/buttons/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Button Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/buttons?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor CheckBox

The [Blazor Checkbox](https://www.syncfusion.com/blazor-components/blazor-checkbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) is a custom checkbox-type HTML5 input component for selecting one or more options from a list of predefined choices. It supports an indeterminate state, different sizes, custom labels and positions, and UI customization.

![Blazor CheckBox](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-checkbox.png)

#### Getting Started

* [Getting Started with Blazor CheckBox](https://blazor.syncfusion.com/documentation/check-box/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor CheckBox Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-checkbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor CheckBox Component Documentation](https://blazor.syncfusion.com/documentation/check-box/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor CheckBox Component Demos](https://blazor.syncfusion.com/demos/buttons/checkbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor CheckBox Component Video Tutorials](https://syncfusion.com/tutorial-videos/blazor/checkbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)


### Blazor Chips

The [Blazor Chips](https://www.syncfusion.com/blazor-components/blazor-chips?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) is a feature-rich component that provides small blocks of text information. Blazor Chips can also contain avatars, images, letters, and close icons. They can be used as tags when filtering contacts and mail inbox, selecting single or multiple choices from available options, and providing input to an application.

![Blazor Chips](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-chips.png)

#### Getting Started

* [Getting Started with Blazor Chips](https://blazor.syncfusion.com/documentation/chip/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Chips Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-chips?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Chips Component Documentation](https://blazor.syncfusion.com/documentation/chip/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Chips Component Demos](https://blazor.syncfusion.com/demos/chips/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor Radio Button 

The [Blazor Radio Button](https://www.syncfusion.com/blazor-components/blazor-radio-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) is a custom radio-type HTML5 input component for selecting one option from a list of predefined choices. It supports different states, sizes, labels, label positions, and UI customizations.

![Blazor Radio Button](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-radio-button.png)

#### Getting Started

* [Getting Started with Blazor Radio Button](https://blazor.syncfusion.com/documentation/radio-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Radio Button Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-radio-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Radio Button Component Documentation](https://blazor.syncfusion.com/documentation/radio-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Radio Button Component Demos](https://blazor.syncfusion.com/demos/buttons/radio-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Radio Button Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/radio-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor Toggle Switch Button

The [Blazor Toggle Switch Button](https://www.syncfusion.com/blazor-components/blazor-toggle-switch-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) is a custom HTML5 input-type checkbox component that allows you to perform a toggle (on/off) action between checked and unchecked states. It supports different sizes, labels, label positions, and UI customization.

![Blazor Toggle Switch Button](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-toggle-switch-button.png)

#### Getting Started

* [Getting Started with Blazor Toggle Switch Button](https://blazor.syncfusion.com/documentation/toggle-switch-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Toggle Switch Button Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-toggle-switch-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Toggle Switch Button Component Documentation](https://blazor.syncfusion.com/documentation/toggle-switch-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Toggle Switch Button Component Demos](https://blazor.syncfusion.com/demos/buttons/toggle-switch-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Toggle Switch Button Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/toggle-switch-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor Floating Action Button

The [Blazor Floating Action Button](https://www.syncfusion.com/blazor-components/blazor-fab?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) component performs the primary action that appears in front of all screen contents. It has several built-in features such as support for icons, predefined styles, positions, and UI customization.

![Blazor Floating Action Button](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-fab.png)

#### Getting Started

* [Getting Started with Blazor Floating Action Button](https://blazor.syncfusion.com/documentation/floating-action-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Floating Action Button Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-fab?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Floating Action Button Component Documentation](https://blazor.syncfusion.com/documentation/floating-action-button/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Floating Action Button Component Demos](https://blazor.syncfusion.com/demos/fab/overview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Floating Action Button Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/buttons?title=getting-started-with-the-blazor-floating-action-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Blazor Speed Dial

The [Blazor Speed Dial](https://www.syncfusion.com/blazor-components/blazor-speeddial?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) component is an extension of the floating action button that displays a list of action buttons when clicked. It has several built-in features such as support for items, predefined styles, positions, and UI customization.

![Blazor Speed Dial](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-speeddial.gif)

#### Getting Started

* [Getting Started with Blazor Speed Dial](https://blazor.syncfusion.com/documentation/speeddial/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

#### Resources

* [Blazor Speed Dial Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-speeddial?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Speed Dial Component Documentation](https://blazor.syncfusion.com/documentation/speeddial/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Speed Dial Component Demos](https://blazor.syncfusion.com/demos/speeddial/defaultfunctionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)
* [Blazor Speed Dial Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/buttons?title=getting-started-with-the-blazor-speed-dial-component?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### Support and feedback
* For any other queries, reach our [Syncfusion support team](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) or post the queries through the [community forums](https://www.syncfusion.com/forums/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget).
* Provide feature request through the [Syncfusion feedback portal](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)

### License
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget). You can purchase a license [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget).

### About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-buttons-nuget) | Toll Free: 1-888-9 DOTNET
